Connections
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
GET /api/v2/sdk/apps/{SDK_appName}/connections HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"appConnections": [
{
"name": "testConnection",
"label": "Test Connection",
"type": "oauth",
"parameters": {},
"app_version": "1",
"alias_to": null
},
{
"name": "postman-test-app-6-1",
"label": "Test Connection",
"type": "oauth"
},
{
"name": "postman-test-app-6-12",
"label": "Test Connection",
"type": "oauth"
},
{
"name": "postman-test-app-6-13",
"label": "Test Connection",
"type": "oauth"
},
{
"name": "postman-test-app-6-14",
"label": "Test Connection",
"type": "oauth"
},
{
"name": "postman-test-app-6-15",
"label": "Test Connection",
"type": "oauth"
},
{
"name": "postman-test-app-6-16",
"label": "Test Connection",
"type": "oauth"
}
]
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
POST /api/v2/sdk/apps/{SDK_appName}/connections HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"type": "basic",
"label": "Hello Charlie"
}Successful response
{
"appConnection": {
"name": "custom-app-13",
"label": "Main Connection",
"type": "basic"
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
GET /api/v2/sdk/apps/connections/{SDK_connectionName} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"appConnection": {
"name": "custom-app-13",
"label": "Main Connection",
"type": "basic",
"appVersion": "1"
}
}Deletes a connection. The connection must not be in use (e.g. referenced by a webhook/module/RPC or attached to an endpoint), otherwise the request is rejected.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
The connection is in use and cannot be deleted (e.g. attached to an endpoint or a webhook).
DELETE /api/v2/sdk/apps/connections/{SDK_connectionName} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
{
"appConnection": "custom-app-13"
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
PATCH /api/v2/sdk/apps/connections/{SDK_connectionName} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"label": "Main Connection",
"connectedSystemName": "my-agent"
}Successful response
{
"appConnection": {
"name": "charlie-1",
"label": "Main Connection",
"type": "basic",
"connectedSystemName": "my-agent"
}
}Available sections: api, parameters, scopes, scope, install, installSpec
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
GET /api/v2/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"authorize": {
"qs": {
"scope": "{{join(oauth.scope, ',')}}",
"client_id": "{{ifempty(parameters.clientId, common.clientId)}}",
"redirect_uri": "{{oauth.redirectUri}}",
"response_type": "code"
},
"url": "https://www.example.com/oauth/authorize",
"response": {
"temp": {
"code": "{{query.code}}"
}
}
},
"token": {
"url": "https://www.example.com/api/token",
"body": {
"code": "{{temp.code}}",
"client_id": "{{ifempty(parameters.clientId, common.clientId)}}",
"grant_type": "authorization_code",
"redirect_uri": "{{oauth.redirectUri}}",
"client_secret": "{{ifempty(parameters.clientSecret, common.clientSecret)}}"
},
"type": "urlencoded",
"method": "POST",
"response": {
"data": {
"accessToken": "{{body.access_token}}"
}
},
"log": {
"sanitize": [
"request.body.code",
"request.body.client_secret",
"response.body.access_token"
]
}
},
"info": {
"url": "https://www.example.com/api/whoami",
"headers": {
"authorization": "Bearer {{connection.accessToken}}"
},
"response": {
"uid": "{{body.id}}",
"metadata": {
"type": "text",
"value": "{{body.user}}"
}
},
"log": {
"sanitize": [
"request.headers.authorization"
]
}
},
"invalidate": {
"url": "https://www.example.com/oauth/invalidate",
"headers": {
"authorization": "Bearer {{connection.accessToken}}"
},
"log": {
"sanitize": [
"request.headers.authorization"
]
}
}
}Available sections: api, parameters, scopes, scope, installSpec, install
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The structure of the request body varies depending on the section being updated. It can be a JSON object or array.
Successful response
PUT /api/v2/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 67
[
{
"name": "apiKey",
"type": "text",
"label": "API Key",
"required": true
}
]Successful response
{
"change": {
"id": 12345,
"group": "apps_connections",
"item": "my-connection-name",
"code": "parameters"
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
The common data for the connection. The structure of this object is not fixed and depends on the connection's configuration.
GET /api/v2/sdk/apps/connections/{SDK_connectionName}/common HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"clientId": "your-client-id",
"clientSecret": "your-client-secret"
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The common data for the connection. The structure of this object is not fixed and depends on the connection's configuration.
Successful response
PUT /api/v2/sdk/apps/connections/{SDK_connectionName}/common HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 65
{
"clientId": "your-client-id",
"clientSecret": "your-client-secret"
}Successful response
{
"changed": true
}Recreates an existing app connection and synchronises it with HQ.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
An empty object is returned on successful recreation.
POST /api/v2/sdk/apps/connections/{SDK_connectionName}/recreate HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{}Last updated

